Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class Executable

    java.lang.Object
      org.apache.commons.scxml.model.Executable

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Finalize, OnEntry, OnExit, Transition

public abstract class Executable
extends Object
implements Serializable

An abstract base class for containers of executable elements in SCXML, such as <onentry> and <onexit>.

See Also:
  Serialized Form

Constructor Summary
`Executable()` Constructor.

Method Summary
`void` | `addAction(Action action)` Add an Action to the list of executable actions contained in this Executable.
`List` | `getActions()` Get the executable actions contained in this Executable.
`TransitionTarget` | `getParent()` Get the TransitionTarget parent.
`void` | `setParent(TransitionTarget parent)` Set the TransitionTarget parent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Executable

    public Executable()

  Constructor.

Method Detail

### getActions

    public final List getActions()

  Get the executable actions contained in this Executable.

  Returns:
    Returns the actions.

### addAction

    public final void addAction(Action action)

  Add an Action to the list of executable actions contained in this Executable.

  Parameters:
    `action` - The action to add.

### getParent

    public final TransitionTarget getParent()

  Get the TransitionTarget parent.

  Returns:
    Returns the parent.

### setParent

    public final void setParent(TransitionTarget parent)

  Set the TransitionTarget parent.

  Parameters:
    `parent` - The parent to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 The Apache Software Foundation. All Rights Reserved.